Bug 1744656

Summary: python-regex: Remove (sub)packages from Fedora 32+: python2-regex
Product: [Fedora] Fedora Reporter: Miro Hrončok <mhroncok>
Component: python-regexAssignee: Thomas Moschny <thomas.moschny>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: cstratak, igor.raits, mhroncok, ngompa13, pviktori, thomas.moschny, zbyszek
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-08-27 20:23:39 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1625773    

Description Miro Hrončok 2019-08-22 15:45:58 UTC
In line with the Mass Python 2 Package Removal [0], the following (sub)packages of python-regex were marked for removal:

 * python2-regex

According to our query, those (sub)packages only provide a Python 2 importable module. If this is not true, please tell us why, so we can fix our query.

Please remove them from your package in Rawhide (Fedora 32).

If nothing depends on the package(s) in Fedora 31, please remove them from Fedora 31 as well,
however note that we haven't checked that.
Don't remove packages from Fedora 31 after the Beta Freeze (2019-08-29).

Please don't do this for Fedora 30, removing packages from a released Fedora branch is forbidden.

As said in the change document, if there is no objection in a week, we will remove the package(s) as soon as we get to it. This change might not match your packaging style, so we'd prefer if you did the change. If you need more time, please let us know here.

If you do the change yourself, it would help us a lot by reducing the amount of packages we need to mass change.

We hope this doesn't come to you as a surprise. If you want to know our motivation for this, please read the change document [0].

[0] https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal

Comment 1 Thomas Moschny 2019-08-27 20:23:39 UTC
Removed Python2 subpackage:
https://koji.fedoraproject.org/koji/buildinfo?buildID=1366031